%bcond_with java 0

%define subrel 1

Name:kdebindings4
Summary: KDE bindings to non-C++ languages
Version: 4.3.5
Release: %mkrel 0
Epoch: 1
Group: Graphical desktop/KDE
License: GPL
URL: http://www.kde.org
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/kdebindings-%version.tar.bz2
BuildRequires: kde4-macros
BuildRequires: cmake
BuildRequires: kdelibs4-devel
BuildRequires: kdelibs4-experimental-devel
BuildRequires: phonon-devel
BuildRequires: akonadi-devel
BuildRequires: kdepimlibs4-devel
BuildRequires: kdegraphics4-devel
BuildRequires: kdevplatform4-devel
BuildRequires: qimageblitz-devel
BuildRequires: soprano-devel
BuildRequires: doxygen
BuildRequires: java-devel
BuildRequires: ruby-devel
%ifnarch %arm %mips
BuildRequires: mono-devel
%endif
BuildRequires: python-sip >= 4.7.6
BuildRequires: python-qt4-devel >= 4.5.1
BuildRequires: qscintilla-qt4-devel
BuildRequires: php-devel
BuildRequires: php-cli
BuildRequires: polkit-qt-devel
%if %mdkversion > 200900
BuildRequires: falcon-devel
%endif
BuildRoot:     %_tmppath/%name-%version-%release-root

%description
KDE4 bindings to non-C++ languages

#-----------------------------------------------------------------------------

%package -n python-kde4
Summary: PyKDE4 
Group: Development/KDE and Qt
Provides: PyKDE4 = %version-%release
Requires: python-qt4
Requires: python-sip
%py_requires -d

%description -n python-kde4
Python KDE 4

%files -n python-kde4
%defattr(-,root,root)
%dir %py_platsitedir/PyKDE4
%py_platsitedir/PyQt4/*
%py_platsitedir/PyKDE4/*
%_datadir/sip/PyKDE4/*
%_kde_bindir/pykdeuic4
%_kde_libdir/kde4/krosspython.so
%_kde_libdir/kde4/kpythonpluginfactory.so
%_kde_appsdir/pykde4

%pre -n python-kde4
rm -rf %_bindir/pykdeuic4

#-----------------------------------------------------------------------------

%package -n python-kde4-doc
Summary: PyKDE4 documentation
Group: Development/KDE and Qt

%description -n python-kde4-doc
Python KDE 4 documentation

%files -n python-kde4-doc
%defattr(-,root,root)
%_datadir/doc/python-kde4

#-----------------------------------------------------------------------------

%define lib_smoke_kde_major 2
%define lib_smoke_kde %mklibname smokekde %{lib_smoke_kde_major}

%package -n   %{lib_smoke_kde}
Summary:      KDE generic bindings library
Group:        Development/KDE and Qt
Obsoletes:    %{_lib}smokeplasma2 < 4.0.73-1

%description -n %{lib_smoke_kde}
KDE generic bindings library.

%files -n %{lib_smoke_kde}
%defattr(-,root,root)
%_kde_libdir/libsmokekde.so.%{lib_smoke_kde_major}*

#-----------------------------------------------------------------------------

%define smokekhtml_major 2
%define libsmokekhtml %mklibname smokekhtml %{smokekhtml_major}

%package -n   %{libsmokekhtml}
Summary:      KDE generic bindings library
Group:        Development/KDE and Qt

%description -n %{libsmokekhtml}
KDE generic bindings library.

%files -n %{libsmokekhtml}
%defattr(-,root,root)
%_kde_libdir/libsmokekhtml.so.%{smokekhtml_major}*

#-----------------------------------------------------------------------------

%define smokektexteditor_major 2
%define libsmokektexteditor %mklibname smoketexteditor %{smokektexteditor_major}

%package -n   %{libsmokektexteditor}
Summary:      KDE generic bindings library
Group:        Development/KDE and Qt

%description -n %{libsmokektexteditor}
KDE generic bindings library.

%files -n %{libsmokektexteditor}
%defattr(-,root,root)
%_kde_libdir/libsmokektexteditor.so.%{smokektexteditor_major}*

#-----------------------------------------------------------------------------

%define smokeqtuitools_major 2
%define libsmokeqtuitools %mklibname smokeqtuitools %{smokeqtuitools_major}

%package -n   %{libsmokeqtuitools}
Summary:      KDE generic bindings library
Group:        Development/KDE and Qt

%description -n %{libsmokeqtuitools}
KDE generic bindings library.

%files -n %{libsmokeqtuitools}
%defattr(-,root,root)
%_kde_libdir/libsmokeqtuitools.so.%{smokeqtuitools_major}*

#-----------------------------------------------------------------------------

%define smokeqtwebkit_major 2
%define libsmokeqtwebkit %mklibname smokeqtwebkit %{smokeqtwebkit_major}

%package -n   %{libsmokeqtwebkit}
Summary:      KDE generic bindings library
Group:        Development/KDE and Qt

%description -n %{libsmokeqtwebkit}
KDE generic bindings library.

%files -n %{libsmokeqtwebkit}
%defattr(-,root,root)
%_kde_libdir/libsmokeqtwebkit.so.%{smokeqtwebkit_major}*

#-----------------------------------------------------------------------------

%define smokesolid_major 2
%define libsmokesolid %mklibname smokesolid %{smokesolid_major}

%package -n   %{libsmokesolid}
Summary:      KDE generic bindings library
Group:        Development/KDE and Qt

%description -n %{libsmokesolid}
KDE generic bindings library.

%files -n %{libsmokesolid}
%defattr(-,root,root)
%_kde_libdir/libsmokesolid.so.%{smokesolid_major}*

#-----------------------------------------------------------------------------

%define smokeokular_major 2
%define libsmokeokular %mklibname smokeokular %{smokeokular_major}

%package -n   %{libsmokeokular}
Summary:      KDE generic bindings library
Group:        Development/KDE and Qt

%description -n %{libsmokeokular}
KDE generic bindings library.

%files -n %{libsmokeokular}
%defattr(-,root,root)
%_kde_libdir/libsmokeokular.so.%{smokeokular_major}*

#-----------------------------------------------------------------------------

%define smokeqimageblitz_major 2
%define libsmokeqimageblitz %mklibname smokeqimageblitz %{smokeqimageblitz_major}

%package -n   %{libsmokeqimageblitz}
Summary:      KDE generic bindings library
Group:        Development/KDE and Qt

%description -n %{libsmokeqimageblitz}
KDE generic bindings library.

%files -n %{libsmokeqimageblitz}
%defattr(-,root,root)
%_kde_libdir/libsmokeqimageblitz.so.%{smokeqimageblitz_major}*

#-----------------------------------------------------------------------------

%define smokeqsci_major 2
%define libsmokeqsci %mklibname smokeqsci %{smokeqsci_major}

%package -n   %{libsmokeqsci}
Summary:      KDE generic bindings library
Group:        Development/KDE and Qt
Obsoletes:    %{_lib}smokeplasma2 < 4.0.73-1

%description -n %{libsmokeqsci}
KDE generic bindings library.

%files -n %{libsmokeqsci}
%defattr(-,root,root)
%_kde_libdir/libsmokeqsci.so.%{smokeqsci_major}*

#------------------------------------------------------------

%define lib_smokesoprano_major 2
%define lib_smokesoprano %mklibname smokesoprano %{lib_smokesoprano_major}

%package -n %{lib_smokesoprano}
Summary: Qt generic bindings library
Group: Development/KDE and Qt

%description -n %{lib_smokesoprano}
Qt generic bindings library.

%files -n %{lib_smokesoprano}
%defattr(-,root,root)
%_kde_libdir/libsmokesoprano.so.%{lib_smokesoprano_major}*

#------------------------------------------------------------

%define lib_smokeqtscript_major 2
%define lib_smokeqtscript %mklibname smokeqtscript %{lib_smokeqtscript_major}

%package -n %{lib_smokeqtscript}
Summary: Qt generic bindings library
Group: Development/KDE and Qt

%description -n %{lib_smokeqtscript}
Qt generic bindings library.

%files -n %{lib_smokeqtscript}
%defattr(-,root,root)
%_kde_libdir/libsmokeqtscript.so.%{lib_smokeqtscript_major}*

#------------------------------------------------------------

%define lib_smoke_qt_major 2
%define lib_smoke_qt %mklibname smokeqt %{lib_smoke_qt_major}

%package -n %{lib_smoke_qt}
Summary: Qt generic bindings library
Group: Development/KDE and Qt

%description -n %{lib_smoke_qt}
Qt generic bindings library.

%files -n %{lib_smoke_qt}
%defattr(-,root,root)
%_kde_libdir/libsmokeqt.so.%{lib_smoke_qt_major}*

#------------------------------------------------------------

%define libsmokeplasma_major 2
%define libsmokeplasma %mklibname smokeplasma %{libsmokeplasma_major}

%package -n %{libsmokeplasma}
Summary: Qt generic bindings library
Group: Development/KDE and Qt

%description -n %{libsmokeplasma}
Qt generic bindings library.

%files -n %{libsmokeplasma}
%defattr(-,root,root)
%_kde_libdir/libsmokeplasma.so.%{libsmokeplasma_major}*

#------------------------------------------------------------

%define libsmokenepomuk_major 2
%define libsmokenepomuk %mklibname smokenepomuk %{libsmokenepomuk_major}

%package -n %{libsmokenepomuk}
Summary: Qt generic bindings library
Group: Development/KDE and Qt

%description -n %{libsmokenepomuk}
Qt generic bindings library.

%files -n %{libsmokenepomuk}
%defattr(-,root,root)
%_kde_libdir/libsmokenepomuk.so.%{libsmokenepomuk_major}*

#------------------------------------------------------------

%define libsmokeqttest_major 2
%define libsmokeqttest %mklibname smokeqttest %{libsmokeqttest_major}

%package -n %{libsmokeqttest}
Summary: Qt generic bindings library
Group: Development/KDE and Qt

%description -n %{libsmokeqttest}
Qt generic bindings library.

%files -n %{libsmokeqttest}
%defattr(-,root,root)
%_kde_libdir/libsmokeqttest.so.%{libsmokeqttest_major}*

#------------------------------------------------------------

%define libsmokeakonadi_major 2
%define libsmokeakonadi %mklibname smokeakonadi %{libsmokeakonadi_major}

%package -n %{libsmokeakonadi}
Summary: Qt generic bindings library
Group: Development/KDE and Qt

%description -n %{libsmokeakonadi}
Qt generic bindings library.

%files -n %{libsmokeakonadi}
%defattr(-,root,root)
%_kde_libdir/libsmokeakonadi.so.%{libsmokeakonadi_major}*

#------------------------------------------------------------

%package -n smoke4-devel
Summary: Header files for libsmoke
Group: Development/KDE and Qt
Requires: %{libsmokeplasma} = %epoch:%version-%release
Requires: %{lib_smoke_qt} = %epoch:%version-%release
Requires: %{lib_smoke_kde} = %epoch:%version-%release
Requires: %{libsmokeqsci} = %epoch:%version-%release
Requires: %{libsmokeokular} = %epoch:%version-%release
Requires: %{libsmokesolid} = %epoch:%version-%release
Requires: %{libsmokeqtwebkit} = %epoch:%version-%release
Requires: %{libsmokeqtuitools} = %epoch:%version-%release
Requires: %{libsmokektexteditor} = %epoch:%version-%release
Requires: %{libsmokekhtml} = %epoch:%version-%release
Requires: %{libsmokeakonadi} = %epoch:%version-%release
Requires: %{libsmokenepomuk} = %epoch:%version-%release
Requires: %{libsmokeqttest} = %epoch:%version-%release
Requires: %{libsmokeqimageblitz} = %epoch:%version-%release
Provides: libsmoke2-devel = %epoch:%version-%release
Obsoletes: smoke-devel <= 1:3.5.10-3

%description -n smoke4-devel
Smoke devel files.

%files -n smoke4-devel
%defattr(-,root,root)
%_kde_includedir/smoke.h
%_kde_includedir/smoke
%_kde_libdir/libsmoke*.so

#------------------------------------------------------------

%ifnarch %arm %mips
%package -n qyoto
Summary: C# Mono Qt 4 bindings
Group: Development/KDE and Qt
Provides: mono-qt4 = %version-%release
Conflicts: qyoto-devel < 1:4.1.73
Conflicts: kimono < 1:4.1.81

%description -n qyoto
C# Mono Qt 4 bindings

%files -n qyoto
%defattr(-,root,root)
%_prefix/lib/mono/2.0/qt-dotnet.dll
%_prefix/lib/mono/2.0/qscintilla.dll
%_prefix/lib/mono/2.0/qtscript.dll
%_prefix/lib/mono/2.0/qtuitools.dll
%_prefix/lib/mono/2.0/qtwebkit.dll
%_prefix/lib/mono/2.0/qttest.dll
%_prefix/lib/mono/gac/qttest
%_prefix/lib/mono/gac/qt-dotnet
%_prefix/lib/mono/gac/qscintilla
%_prefix/lib/mono/gac/qtscript
%_prefix/lib/mono/gac/qtwebkit
%_prefix/lib/mono/gac/qtuitools
%_kde_libdir/libqyoto.so
%_kde_libdir/libqscintilla-sharp.so
%_kde_libdir/libqtscript-sharp.so
%_kde_libdir/libqtuitools-sharp.so
%_kde_libdir/libqtwebkit-sharp.so
%_kde_libdir/libqttest-sharp.so
%endif

#------------------------------------------------------------

%package -n php-qt4
Summary: PHP KDE 4 bindings
Group: Development/KDE and Qt
Requires: php-cli
Obsoletes: phpqt

%description -n php-qt4
PHP KDE 4 bindings

%files -n php-qt4
%defattr(-,root,root)
%_kde_bindir/phpuic
%_kde_libdir/php/extensions/php_qt.so

#------------------------------------------------------------

%if %mdkversion > 200900

%package -n falcon-kde4
Summary: Falcon KDE 4 bindings
Group: Development/KDE and Qt
Requires: falcon

%description -n falcon-kde4
Falcon KDE 4 bindings

%files -n falcon-kde4
%defattr(-,root,root)
%_kde_libdir/kde4/krossfalcon.so

%endif

#------------------------------------------------------------
%ifnarch %arm %mips
%package -n kimono
Summary: C# Mono KDE 4 bindings
Group: Development/KDE and Qt
Provides: mono-kde4 = %version-%release
Requires: qyoto = %epoch:%version-%release
Conflicts: ruby-qt4 < 1:4.1.81
Conflicts: qyoto < 1:4.1.81 

%description -n kimono
C# Mono KDE 4 bindings

%files -n kimono
%defattr(-,root,root)
%_prefix/lib/mono/2.0/kde-dotnet.dll
%_prefix/lib/mono/2.0/khtml-dll.dll
%_prefix/lib/mono/2.0/soprano.dll
%_prefix/lib/mono/2.0/akonadi.dll
%_prefix/lib/mono/2.0/ktexteditor-dotnet.dll
%_prefix/lib/mono/2.0/plasma-dll.dll
%_prefix/lib/mono/2.0/nepomuk-dll.dll
%_prefix/lib/mono/2.0/qimageblitz.dll
%_prefix/lib/mono/gac/kde-dotnet
%_prefix/lib/mono/gac/khtml-dll
%_prefix/lib/mono/gac/soprano
%_prefix/lib/mono/gac/akonadi
%_prefix/lib/mono/gac/ktexteditor-dotnet
%_prefix/lib/mono/gac/plasma-dll
%_prefix/lib/mono/gac/nepomuk-dll
%_prefix/lib/mono/gac/qimageblitz
%{_kde_libdir}/kde4/kimonopluginfactory.so
%_kde_libdir/libkhtml-sharp.so
%_kde_libdir/libnepomuk-sharp.so
%_kde_libdir/libsoprano-sharp.so
%_kde_libdir/libkimono.so
%_kde_libdir/libakonadi-sharp.so
%_kde_libdir/libktexteditor-sharp.so
%_kde_libdir/libplasma-sharp.so
%_kde_libdir/libqimageblitz-sharp.so
%_kde_appsdir/plasma_scriptengine_kimono
%_kde_services/plasma-scriptengine-kimono-applet.desktop
%_kde_services/plasma-scriptengine-kimono-dataengine.desktop

#------------------------------------------------------------

%define libqyotoshared_major 1
%define libqyotoshared %mklibname qyotoshared %{libqyotoshared_major}

%package -n %{libqyotoshared}
Summary: Qt generic bindings library
Group: Development/KDE and Qt

%description -n %{libqyotoshared}
Qt generic bindings library.

%files -n %{libqyotoshared}
%defattr(-,root,root)
%_kde_libdir/libqyotoshared.so.%{libqyotoshared_major}*

#------------------------------------------------------------

%package -n qyoto-devel
Summary: Header files for qyoto
Group: Development/KDE and Qt
Requires: qyoto = %epoch:%version-%release
Requires:  %{libqyotoshared} = %epoch:%version-%release
Conflicts: qyoto < 1:4.1.73

%description -n qyoto-devel
qyoto devel files.

%files -n qyoto-devel
%defattr(-,root,root)
%_kde_bindir/csrcc
%_kde_bindir/uics
%_kde_includedir/qyoto
%_kde_libdir/libqyotoshared.so
%_kde_libdir/pkgconfig/qyoto.pc
%_kde_libdir/pkgconfig/qtscript-sharp.pc
%_kde_libdir/pkgconfig/qttest-sharp.pc
%_kde_libdir/pkgconfig/qtuitools-sharp.pc
%_kde_libdir/pkgconfig/qtwebkit-sharp.pc

#------------------------------------------------------------

%package -n kimono-devel
Summary: Devel files for kimono
Group: Development/KDE and Qt
Requires: qyoto-devel = %epoch:%version-%release
Requires: kimono = %epoch:%version-%release
Conflicts: qyoto < 1:4.0.80-1

%description -n kimono-devel
kimono devel files.

%files -n kimono-devel
%defattr(-,root,root)
%endif

#------------------------------------------------------------

%define lib_ruby	%mklibname qtruby

%package -n ruby-qt4
Summary: Qt bindings for Ruby
Group: Development/KDE and Qt
Provides: qtruby = %{epoch}:%{version}-%{release}
Obsoletes: %{lib_ruby} < 3.5.1
Obsoletes: %{lib_ruby}1 < 3.5.1
Obsoletes: %{lib_ruby}1-devel < 3.5.1
Obsoletes: qtruby < 3.5.5
Obsoletes: ruby-qt < 1:3.5.10-3

%description -n ruby-qt4
A qt4 bindings for Ruby language.

%files -n ruby-qt4
%defattr(-,root,root)
%_kde_bindir/rbqtapi
%_kde_libdir/libqtruby4shared.so
%_kde_datadir/applications/kde4/dbpedia_references.desktop
%_kde_appsdir/dbpedia_references
%ruby_sitearchdir/qscintilla.so
%ruby_sitearchdir/qtruby4.so
%ruby_sitearchdir/qtuitools.so
%ruby_sitearchdir/qtwebkit.so
%ruby_sitearchdir/qtscript.so
%ruby_sitearchdir/qttest.so
%ruby_sitearchdir/akonadi.so
%ruby_sitearchdir/plasma_applet.so
%ruby_sitearchdir/okular.so
%ruby_sitelibdir/Qt.rb
%ruby_sitelibdir/Qt3.rb
%ruby_sitelibdir/Qt4.rb
%ruby_sitelibdir/Qt
%ruby_sitelibdir/qscintilla
%ruby_sitelibdir/qtuitools
%ruby_sitelibdir/qtwebkit
%ruby_sitelibdir/qtscript
%ruby_sitelibdir/akonadi
%ruby_sitelibdir/qttest
%ruby_sitelibdir/okular

#------------------------------------------------------------

%package -n ruby-kde4
Summary: KDE bindings for Ruby
Group: Development/KDE and Qt
Provides: kderuby = %{epoch}:%{version}-%{release}
Obsoletes: qtruby < 3.5.5
Conflicts: ruby-qt4 < 1:4.0.98-2

%description -n ruby-kde4
A kde4 bindings for Ruby language.

%files -n ruby-kde4
%defattr(-,root,root)
%_kde_bindir/krubyapplication
%_kde_libdir/kde4/krossruby.so
%_kde_libdir/kde4/krubypluginfactory.so
%ruby_sitearchdir/khtml.so
%ruby_sitearchdir/korundum4.so
%ruby_sitearchdir/ktexteditor.so
%ruby_sitearchdir/solid.so
%ruby_sitearchdir/soprano.so
%ruby_sitearchdir/nepomuk.so
%ruby_sitelibdir/KDE
%ruby_sitelibdir/khtml
%ruby_sitelibdir/ktexteditor
%ruby_sitelibdir/soprano
%ruby_sitelibdir/nepomuk
%ruby_sitelibdir/solid

#------------------------------------------------------------

%define libqtruby4shared_major 2
%define libqtruby4shared %mklibname qtruby4shared %{libqtruby4shared_major}

%package -n %{libqtruby4shared}
Summary: Qt generic bindings library
Group: Development/KDE and Qt

%description -n %{libqtruby4shared}
Qt generic bindings library.

%files -n %{libqtruby4shared}
%defattr(-,root,root)
%_kde_libdir/libqtruby4shared.so.%{libqtruby4shared_major}*

#------------------------------------------------------------

%package -n ruby-qt4-devel
Summary: Header files for ruby-qt4
Group: Development/KDE and Qt
Requires: ruby-qt4 = %epoch:%version-%release
Requires: %{libqtruby4shared} = %epoch:%version-%release
Conflicts: ruby-qt4 < 1:4.0.98-2

%description -n ruby-qt4-devel
ruby-qt4 devel files.

%files -n ruby-qt4-devel
%defattr(-,root,root)
%_kde_bindir/rbrcc
%_kde_bindir/rbuic4
%_kde_bindir/rbkconfig_compiler4
%_kde_includedir/qtruby

#------------------------------------------------------------

%package -n ruby-kde4-devel
Summary: Header files for ruby-qt4
Group: Development/KDE and Qt
Requires: ruby-qt4-devel = %epoch:%version-%release

%description -n ruby-kde4-devel
ruby-qt4 devel files.

%files -n ruby-kde4-devel
%defattr(-,root,root)
%_kde_bindir/rbrcc
%_kde_bindir/rbuic4
%_kde_bindir/rbkconfig_compiler4
%_kde_includedir/qtruby

#------------------------------------------------------------

%prep
%setup -q -n kdebindings-%version

%build
# Remove invalid install dir
rm -f csharp/plasma/examples/CMakeLists.txt

export JAVA_HOME=%{java_home}

%cmake_kde4 \
	%if %with java
	-DENABLE_KROSSJAVA=TRUE \
	%else
	-DENABLE_KROSSJAVA=FALSE \
	%endif
    %if 1
	-DENABLE_PHP-QT=TRUE \
    %else
    -DENABLE_PHP-QT=FALSE \
    %endif
	-DENABLE_QSCINTILLA_SHARP=ON \
	-DENABLE_QSCINTILLA_RUBY=ON \
	-DENABLE_SMOKEKDEVPLATFORM=ON \
	-DENABLE_KROSSFALCON=ON 

%make

%install
rm -fr %buildroot
%makeinstall_std -C build

# Copy Python Doc
%{__mkdir_p} %{buildroot}%_datadir/doc/python-kde4
%{__cp} -a python/pykde4/docs/html/*  %{buildroot}%_datadir/doc/python-kde4/

%clean
rm -fr %buildroot



%changelog
* Tue Feb 23 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.3.5-0.1mdv2010.0
+ Revision: 510370
- Upload for missing packages
- Update to kde 4.3.5

* Mon Oct 05 2009 Helio Chissini de Castro <helio@mandriva.com> 1:4.3.2-1mdv2010.0
+ Revision: 454221
- New upstream release 4.3.2.
- New upstream release 4.3.2.

* Mon Oct 05 2009 Funda Wang <fwang@mandriva.org> 1:4.3.1-6mdv2010.0
+ Revision: 453851
- rebuild for missing packages

* Wed Sep 30 2009 Funda Wang <fwang@mandriva.org> 1:4.3.1-5mdv2010.0
+ Revision: 451143
- add upstream patch to build with sip 4.9
- rebuild

* Sun Sep 27 2009 Olivier Blin <oblin@mandriva.com> 1:4.3.1-4mdv2010.0
+ Revision: 449815
- disable mono binding on arm & mips (from Arnaud Patard)

* Tue Sep 22 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.3.1-3mdv2010.0
+ Revision: 447041
- Provide  python-kde4 docs

* Sun Sep 13 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.3.1-2mdv2010.0
+ Revision: 438590
- Bump for release
- Obsolete kde3 packages

* Tue Sep 01 2009 Helio Chissini de Castro <helio@mandriva.com> 1:4.3.1-1mdv2010.0
+ Revision: 423157
- New upstream release 4.3.1.

* Tue Aug 04 2009 Helio Chissini de Castro <helio@mandriva.com> 1:4.3.0-1mdv2010.0
+ Revision: 408856
- New upstream release 4.3.0.

* Wed Jul 22 2009 Helio Chissini de Castro <helio@mandriva.com> 1:4.2.98-1mdv2010.0
+ Revision: 398670
- Update to KDE 4.3 RC3

* Sun Jul 12 2009 Funda Wang <fwang@mandriva.org> 1:4.2.96-1mdv2010.0
+ Revision: 394918
- new version 4.2.96

* Fri Jun 26 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.2.95-1mdv2010.0
+ Revision: 389417
- Update to kde 4.3Rc1

* Fri Jun 05 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.2.90-1mdv2010.0
+ Revision: 383090
- do not build php bindings for now
- Update to beta2
- Update  to kde 4.2.88
  Remove merged patches

* Mon May 11 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.2.85-2mdv2010.0
+ Revision: 374597
- Enable csharp again
  Fix file list
- Add an other missing class

* Mon May 11 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.2.85-1mdv2010.0
+ Revision: 374180
- Fix patch name
- Fix BuilRequires
- Disable csharp  for today ( i will fix the build tomorow )
  Fix file list
- More build fix
- more build fixes
- Update to kde 4.2.85
  Add patches to start to fix build ( from trunk )
- Update to kde  4.2.71

  + Funda Wang <fwang@mandriva.org>
    - BR qimageblitz

* Fri Mar 27 2009 Helio Chissini de Castro <helio@mandriva.com> 1:4.2.2-1mdv2009.1
+ Revision: 361643
- Upgrade to KDE 4.2.2 try#1 packages.

* Fri Feb 27 2009 Helio Chissini de Castro <helio@mandriva.com> 1:4.2.1-1mdv2009.1
+ Revision: 345634
- KDE 4.2.1 try#1 upstream release

* Thu Feb 26 2009 Helio Chissini de Castro <helio@mandriva.com> 1:4.2.0-3mdv2009.1
+ Revision: 345285
- New compilable kdebindings release. Java still not compile
- kdebase4-workspace-devel requires disbaled due the current chicken-egg issue on plasma bindings

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Rebuild against qt4.5

* Wed Jan 28 2009 Funda Wang <fwang@mandriva.org> 1:4.2.0-1mdv2009.1
+ Revision: 334754
- New version 4.2.0

* Fri Jan 16 2009 Funda Wang <fwang@mandriva.org> 1:4.1.96-2mdv2009.1
+ Revision: 330227
- move dll.config into gac dir

* Fri Jan 09 2009 Funda Wang <fwang@mandriva.org> 1:4.1.96-1mdv2009.1
+ Revision: 327365
- fix linkage of smoke akonadi

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix file list

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update with Release Candidate 1 - 4.1.96

* Thu Dec 25 2008 Funda Wang <fwang@mandriva.org> 1:4.1.85-2mdv2009.1
+ Revision: 318562
- rebuild for new python

* Sat Dec 13 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.1.85-1mdv2009.1
+ Revision: 313950
- Fix file list
- Fix file list
- Fix file list
- Do not build c# examples for now
- Remove unneeded patch
- Fix for build
- Add forgoten source
- Remove switches, we build them by default now

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update with Beta 1 - 4.1.85

  + Funda Wang <fwang@mandriva.org>
    - New version 4.1.82
    - drop patch3, merged upstream
    - patch2 patially merged
    - fix falcon build in x86_64 arch
    - fix building of phonon lib
    - fix typo
    - only enalbe falcon when building with it

* Sun Nov 30 2008 Funda Wang <fwang@mandriva.org> 1:4.1.81-1mdv2009.1
+ Revision: 308379
- conditioned falcon build
- install .config file into the same directory as assembly
- disable time engine installation at the time
- move qt stuffs into qyoto package, and kde stuffs into kimono package
- move kimono services into kimono ( wrongly packaged into ruby )
- drop mono hard requires ( it is already done by rpm itself )
- New version 4.1.81
- fix parallel build with plasma-time engine

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix detection of java when using java binding
    - Enable Falcon binding

* Sun Nov 23 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.1.80-2mdv2009.1
+ Revision: 305985
- Rebuild because of BS failure
- Fix Build or Beta1
  Fix file list
  Add some news libs package
- Remove non existing folder

  + Funda Wang <fwang@mandriva.org>
    - revert last commit as it has hidden dependency on nepomukqueryclient
    - only plasma is required
    - move py_requires to pykde4
    - strip unused defination
    - fix parallel build
    - reuse LDFLAGS but use special module LDFLAGS
    - fix patch
    - add dll.config for qt-dotnet.dll
    - fix requires

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update with Beta 1 - 4.1.80

* Sun Oct 26 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.1.71-1mdv2009.1
+ Revision: 297493
- Release as other modules are too broken to build for the moment
- add Requires on the phpqt binding
- comment Release to be sure this is not uploaded by error
- start to add php bindings ( do not touch it this is a work in progress task )
- Fix BuildRequires
- Update kde 4.1.71
  Disable nepomuk support for now ( broken )
  Fix File list and ajust some requires on devel

  + Funda Wang <fwang@mandriva.org>
    - BR kdepimlibs4
    - use ruby macros

  + Helio Chissini de Castro <helio@mandriva.com>
    - KDE 4.1.2 arriving.

* Mon Jul 28 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.1.0-2mdv2009.0
+ Revision: 251711
- Update with Release Candidate 1 - 4.1.0
- Update with Release Candidate 1 - 4.1.0

* Thu Jul 17 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.98-2mdv2009.0
+ Revision: 237737
- Move mono and ruby .so libraries to main packages. After a small discussion on kdebindings@, the only solution to make thia dllImported modules been in a different libdir would be add a dll.config for mono dlls, and would not be the best approach at this moment. And even this solution would not fit on ruby ones.
- Created ruby-kde4 package and splitted properly the libraries
- Disabled php build. Not compiles right now and i don't know why was enabled
- Update with Release Candidate 1 - 4.0.98

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - fix define in comment
    - smoke soprano is disabled upstream for the moment
    - Fix Java build option
    - Fix Php build option

* Mon Jul 07 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.0.85-1mdv2009.0
+ Revision: 232460
- Fix file list
- New version kde 4.0.85

* Tue Jul 01 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.84-1mdv2009.0
+ Revision: 230435
- Finally !!
  Due to major brwakage in upstream bindings, i decided fix directly in upstream the issues, so now:
- CSharp bindings are proper built and installed, even the dll, which was suffered from a blind error during install and usually passing unnoticed by packagers. Don't start to complain about mono dll been in /usr/lib/mono. If you are one of the lib64 trolls, please report this issue ( if are a issue ) to mono packager. We're just following their packaage status.
- Ruby compiles again due some fixes in invalid conversions
- Java is not enabled. The uncertain state of java on cooker now is making jambi been not in release state for Mandriva, so no java for now.
- Php is disabled upstream for now.
  We are using a snapshot from today using all modifications commited. We're not pushing svn revision number in tarball as 4.0.85 will be arriving at end of week.
- Update with new snapshot tarballs 4.0.84
- Update with new snapshot tarballs 4.0.83
- Disable kdevplatform requirement since is not available yet in standard tarballs
- Update with new snapshot tarballs 4.0.82

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix phonon build patch
    - Add _disable_ld_as_needed macro to fix build
      Add patch to fix phonon sip binding
      Really add php patch
    - Add patch to fix php detection display ( from upstream )
      Fix BuildRequire to build php binding
    - Fix summary

  + Funda Wang <fwang@mandriva.org>
    - BR kdebase4-workspace for plasma
    - fix typo

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Jun 05 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.81-2mdv2009.0
+ Revision: 215853
- Enabled proper smoke qsci build
- Fixed file list
- Update with new snapshot tarballs 4.0.81

* Mon May 26 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.0.80-2mdv2009.0
+ Revision: 211370
- Add patch4 to fix lib installs on x86_64
- Fix file list
- Activate php binding and qscintilla scharp binding
- Add %%libsmokesoprano and %%libsmokeqsci Libraries
  Add Qyoto-devel package
  Add ruby-qt4-package
- Fix build patch
- Add upstream patch to fix pykde4 build
  Add upstream patch to fix php bindings build
  Update version requires for python-sip to 4.7.6
- Remove non compiling parts
- Add back patch for build
- Recover _wrongly_ deleted files

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream kde4 4.1 beta1

  + Funda Wang <fwang@mandriva.org>
    - New version 4.0.74

* Wed May 14 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.0.73-1mdv2009.0
+ Revision: 207358
- Fix Build Patch
- Remove dead files ( upstream commit 804509 )
- Update to kde 4.0.73
- Add patch to fix build
- Fix File list
- Update to kde 4.0.73
- Update to kde 4.0.72
- Fix file list
- New snapshot 4.0.69
  Introduce new sub package : libsmokeplasma

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream kde4 4.1 alpha 1

* Thu Apr 03 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.3-2mdv2008.1
+ Revision: 192274
- Forgotten in the cleanup double package smoke-devel

* Fri Mar 28 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.3-1mdv2008.1
+ Revision: 191019
- Update for last stable release 4.0.3
- Fix for bug https://qa.mandriva.com/show_bug.cgi?id=39238 ( splicates ruby-qt packages )

* Sat Mar 08 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:4.0.2-2mdv2008.1
+ Revision: 182260
- Rebuild against new qt4 changes

* Mon Mar 03 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.2-1mdv2008.1
+ Revision: 177994
- New upstream bugfix release 4.0.2
- New upstream bugfix release 4.0.2

* Wed Feb 13 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.1-1mdv2008.1
+ Revision: 167054
- fix install on x86_64 ( submitted upstream )
- Updating for stable KDE 4.0.1
- No more branches. From now, we will be using the monthly official KDE tarballs, as discussed by Mandriva KDE team
- We need qscintilla qt4 as well
- Update for final stable 4.0.0
- import kdebindings4

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


